Bug 980741 - [online_ui_291] The "Blog Content" and "Social Media Post" links redirect to same page as partner/portal.
[online_ui_291] The "Blog Content" and "Social Media Post" links redirect to ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 03:24 EDT by Yujie Zhang
Modified: 2015-05-14 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:54:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-07-03 03:24:13 EDT
Description of problem:

Checked the "Blog Content" and "Social Media Post" link on partner/portal page, they will redirect to page same as partner/portal page.

Version-Release number of selected component (if applicable):
fork_ami_online_ui_291_665

How reproducible:
always

Steps to Reproduce:
1.Go to partner/portal page
2.Click the "Blog Content" and "Social Media Post" link
3.

Actual results:

They will redirect to page same as partner/portal page.

Expected results:

They should redirect to correct page.

Additional info:
Comment 1 Jessica Forrester 2013-07-09 13:25:11 EDT
The actual pages do not exist yet but will be created in production after the rest of the changes are live.

There is a fix to restrict all partner portal paths which is included in https://github.com/openshift/li/pull/1713

You should be able to check that if you create a page with an alias of /partner/portal/blog-content that only admins and active partners can see the page.
Comment 2 Jessica Forrester 2013-07-25 13:32:01 EDT
Fixed in PROD, new pages are created and only accessible if you are a partner or partner admin.   Will be in devenvs after next DB dump.
Comment 3 Yujie Zhang 2013-07-25 23:44:52 EDT
Will test it after the next DB dump.
Comment 4 Tian Feng 2013-07-31 06:28:57 EDT
Test on INT and it has been fixed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.